/********************************************************************************************
 *                                                                                          *
 * Copyright (C) 2017 Armin Felder, Dennis Beier                                            *
 * This file is part of RocketChatMobileEngine <https://git.fairkom.net/chat/fairchat>.     *
 *                                                                                          *
 * RocketChatMobileEngine is free software: you can redistribute it and/or modify           *
 * it under the terms of the GNU General Public License as published by                     *
 * the Free Software Foundation, either version 3 of the License, or                        *
 * (at your option) any later version.                                                      *
 *                                                                                          *
 * RocketChatMobileEngine is distributed in the hope that it will be useful,                *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                           *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                            *
 * GNU General Public License for more details.                                             *
 *                                                                                          *
 * You should have received a copy of the GNU General Public License                        *
 * along with RocketChatMobileEngine. If not, see <http://www.gnu.org/licenses/>.           *
 *                                                                                          *
 ********************************************************************************************/


#ifndef ROCKETCHATCHANGEUSERPRESANCEDEFAULTSTATUS_H
#define ROCKETCHATCHANGEUSERPRESANCEDEFAULTSTATUS_H

#include "ddpmethodrequest.h"

class RocketChatChangeUserPresanceDefaultStatus:  public DDPMethodRequest
{
    public:
        enum class status {
            ONLINE = 1,
            AWAY = 2,
            BUSY = 3,
            OFFLINE = 4
        };

        RocketChatChangeUserPresanceDefaultStatus( const status &pStatus );

};

#endif // ROCKETCHATCHANGEUSERPRESANCEDEFAULTSTATUS_H
